%define name		jaxp
%define version		1.1
%define cvs_version	1_1
%define release		8jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java API for XML Processing
License:	Sun Binary Code License
Url:		http://java.sun.com/xml
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}.zip
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The JAVA API for XML Processing (JAXP) Optional Package provides basic
functionality for reading, manipulating, and generating XML documents
through pure Java APIs. It is a thin and lightweight API that provides a
standard way to seamlessly integrate any XML-compliant parser with a
Java application.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Text Processing/Markup/XML

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc install.html License-ASF License-W3C.html relnotes.html License-RI.html readme.html
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-7jpp 
- section macro
- nosrc package

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-6jpp
- javadoc in %{javadocdir} again 

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-5jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc package
- stricter dependency for demo package
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-2mdk
- split demo package 
- demo files in %{_datadir}/%{name}
- s/jPackage/JPackage/
- spec cleanup

* Tue Jul 24 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-1mdk
- 1.1
- no more a jaxp parser, as crimson becomes the reference implementation
- no more source package
- merged demo and manual packages

* Mon Jul 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-3mdk
- new alternative policy
- versioning
- s/Copyright/License

* Sat Mar 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-2mdk
- vendor tag
- packager tag
- sources in /usr/src/java

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.1-1mdk
- first Mandrake release
